Page MenuHomePhabricator

Selecting text beyond the screen with mouse is glitchy
Closed, ResolvedPublic8 Story Points

Description

Pearli at mw.org: (edited)
Let's suppose you want to edit the site https://en.wikipedia.org/wiki/Overwatch_(video_game)?veaction=editsource on english wikipedia. If you try to mark a big text passage like the first two sections from bottom up to top, the browser always jumps to the cursor position where you started. It is not important which text passages you want to mark. It happens to all, with and without wiki-syntax.

The 2nd thing, top to down, is a bit harder, it didn't jump to the bottom of the page, it is hopping large, large text passages down. You can't really do accuracy work if this happens. It is a bit frustrating and i switched to old wikitext editor to "solve" the problem and switched back after I finished my work.

Event Timeline

Elitre created this task.Feb 6 2017, 10:11 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 6 2017, 10:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

According to Diego Moya in the same thread, "The editor is also making weird jumps for me, in particular when trying to shift+select text with keyboard or pasting text in mobile, it sometimes will randomly jump to the start of the line. I cannot reliably reproduce it".

Elitre updated the task description. (Show Details)Feb 6 2017, 10:14 AM

When the mouse leaves the document area while selecting, the page continues scrolling up as expected, but once it returns to the content area, the page jumps back, loosing all your selection.
Actually, this happens in visual mode, too, so this isn't just a NWE issue.

dialmove added a subscriber: dialmove.EditedFeb 6 2017, 12:13 PM

I can confirm Pearli's report of the editing experience at the Overwatch article. Repeatedly pressing shift + up will perform weird screen flashes, and eventually revert the scrollbar to the starting position.

I think the cursor is actually at the right point up in the article (if I lift my fingers from the keyboard and then press the "left" key, the cursor has actually moved up), but the view refresh does not correctly follow the real insertion point.

For selecting text as you scroll up, bisect blames https://gerrit.wikimedia.org/r/#/c/328395/ (cc @DLynch author, @matmarex reviewer)

Esanders renamed this task from Selecting text is glitchy to Selecting text beyond the screen with mouse is glitchy.Feb 7 2017, 7:47 PM
Jdforrester-WMF triaged this task as Normal priority.Feb 7 2017, 8:09 PM
Jdforrester-WMF moved this task from To Triage to TR3: Language support on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 8.

You have changed the title to "selecting text beyond the screen with mouse is glitchy", but it also happens with the keyboard, and with the text selector on mobile (I don't know if my fingers count as "the mouse") ;-)

The bug can be replicated with Firefox and Chrome.

Internet Explorer v7 too

Internet Explorer v7 too

No. Internet Explorer 8 and below can't load this code. If you're having issues with text selection in IE7 with other code, please file a different task so we can track that.

Hi jdforrester, it's only the computer at my office. I can't really test there things, i have simply the same problems there with NWE like here (and the editor is loading). I hope i didn't do a mistake with the version. Do we use IE7 there? Or IE8/9 w/e? I'll watch out for that tomorrow and leave a small replay here. Best.

Change 336844 had a related patch set uploaded (by DLynch):
ve.ui.Surface: fix issues with scrolling while selection

https://gerrit.wikimedia.org/r/336844

Change 336844 merged by jenkins-bot:
ve.ui.Surface: fix issues with scrolling while selection

https://gerrit.wikimedia.org/r/336844

Hi jdforrester, it's only the computer at my office. I can't really test there things, i have simply the same problems there with NWE like here (and the editor is loading). I hope i didn't do a mistake with the version. Do we use IE7 there? Or IE8/9 w/e? I'll watch out for that tomorrow and leave a small replay here. Best.

Ok, there is internet explorer 11, sorry, i really thought it something without two digits. Best.

Change 336899 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (0dfc50a88)

https://gerrit.wikimedia.org/r/336899

Change 336899 merged by jenkins-bot:
Update VE core submodule to master (de7a96ece)

https://gerrit.wikimedia.org/r/336899

Jdforrester-WMF closed this task as Resolved.Feb 10 2017, 12:17 AM
Jdforrester-WMF assigned this task to DLynch.

This should now theoretically be Resolved; instead of jumping in big chucks, we just move enough so that the cursor is visible. Hopefully this should fix the issues for all (regardless of browser).

i don't feel any change. It's still clunky and hoping around. I've made a video so you can see what i mean. Normally, it's smooth scrolling up or down.
https://www.youtube.com/watch?v=Lby7jxeVEw4&feature=youtu.be
I don't know if the patch is live for now, if it isn't, i'm sorry :)

I don't know if the patch is live for now, if it isn't, i'm sorry :)

Sorry, Resolved in master. It won't be deployed until Tuesday/Wednesday/Thursday depending on which wiki you're using; for dewiki like in your video, around on 2017-02-16T22:00Z (so 23:00 local time in Germany).